/*
 * @utilLandGridListStruct.java Version 1.1 05/24/2002
 *
 * Copyright (c) 2001 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package util;

import util.utilLandGridStruct;

/** Class utilLandGridListStruct
 *  <p> This Class holds Section, Township, Range Latitude and Longitude Lines.
 *
 *  @version 1.1 05/24/2002
 *  @author  John R. Victorine
 */

public class utilLandGridListStruct
{
  public int                iCount   = 0;     // Total number of Regions
  public utilLandGridStruct stItem[] = null;  // Land Grid Data Structure

  /** Method delete()
   * <p> This method will set the string variable to null and initialize all the
   *     other variables.
   */

  public void delete()
  {
    if (iCount > 0)
    {
      for (int i=0; i<iCount; i++)
      {
        if (stItem[i] != null)
          stItem[i].delete();
      }
    }

    iCount = 0;
    stItem = null;
  }
}
